Bug 928196 - Review Request: php-pecl-apcu - APC User Cache
Review Request: php-pecl-apcu - APC User Cache
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-03-27 02:04 EDT by Remi Collet
Modified: 2013-07-21 17:18 EDT (History)
4 users (show)

See Also:
Fixed In Version: php-pecl-apcu-4.0.1-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-07-09 21:30:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+
limburgher: fedora‑cvs+

Attachments (Terms of Use)
fedora-review (8.86 KB, text/plain)
2013-06-30 12:36 EDT, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2013-03-27 02:04:35 EDT
Spec URL: https://raw.github.com/remicollet/remirepo/13c4eaffa35fee92ddbe23e55ccf9dfadefba3c7/php/pecl/php-pecl-apcu/php-pecl-apcu.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-pecl-apcu-4.0.0-1.remi.src.rpm
APCu is userland caching: APC stripped of opcode caching in preparation
for the deployment of Zend OPcache as the primary solution to opcode
caching in future versions of PHP.

Fedora Account System Username: remi

For now, I submit this package as an alternative to APC (admin choice).
In a near future (Fedora 20, or perhaps even Fedora 19), I will retire APC and add the obsoletes directives in this package.
Comment 3 bharper 2013-05-14 16:30:12 EDT
While I am not a package maintainer or reviewer, but I would like help get the ball rolling.

[ O K ] MUST: rpmlint must be run on every package. The output should be posted
in the review.
$ rpmlint <spec> <srpm> <rpm>

$ rpmlint php-pecl-apcu.spec php-pecl-apcu-4.0.1-1.remi.src.rpm apcu-panel-4.0.1-1.fc20.noarch.rpm 
php-pecl-apcu.src: W: spelling-error %description -l en_US userland -> user land, user-land, slanderous
php-pecl-apcu.src: W: spelling-error %description -l en_US opcode -> op code, op-code, code
php-pecl-apcu.src: W: spelling-error %description -l en_US codebase -> co debase, co-debase, code base
php-pecl-apcu.src: W: spelling-error %description -l en_US optimizations -> optimization, optimization's, optimization s
php-pecl-apcu.src: E: unknown-key GPG#00f97f56
apcu-panel.noarch: W: no-documentation
apcu-panel.noarch: E: non-standard-dir-perm /etc/apcu-panel 0750L
2 packages and 1 specfiles checked; 2 errors, 5 warnings.

The non-standard directory appears to required, from the spec file:

%files -n apcu-panel                                                           
# Need to restrict access, as it contains a clear password
%attr(750,apache,root) %dir %{_sysconfdir}/apcu-panel 

I believe the unknown signing key is not important for package review.

[ O K ] MUST: The package must be named according to the Package Naming

[ O K ] MUST: The spec file name must match the base package %{name}, in the
format %{name}.spec unless your package has an exemption.

[ O K ] MUST: The package must meet the Packaging Guidelines.

[ O K ] MUST: The package must be licensed with a Fedora approved license and
meet the Licensing Guidelines.

[ O K ] MUST: The License field in the package spec file must match the actual

[ O K ] MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.

[ O K ] MUST: The spec file must be written in American English. 

[ O K ] MUST: The spec file for the package MUST be legible. 

[ N/A ] MUST: The sources used to build the package must match the upstream
source, as provided in the spec URL. Reviewers should use md5sum for this task.
If no upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.

$ md5sum SOURCES/apcu-4.0.1.tgz ; curl -s -o - http://pecl.php.net/get/apcu-4.0.1.tgz |md5sum -
994de4335eb2967c006aa9ca185876fa  SOURCES/apcu-4.0.1.tgz
994de4335eb2967c006aa9ca185876fa  -

[ O K ] MUST: The package MUST successfully compile and build into binary rpms
on at least one primary architecture.

[ N/A ] MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in
bugzilla, describing the reason that the package does not compile/build/work on
that architecture. The bug number MUST be placed in a comment, next to the
corresponding ExcludeArch line. 

[ O K ] MUST: All build dependencies must be listed in BuildRequires, except
for any that are listed in the exceptions section of the Packaging Guidelines ;
inclusion of those as BuildRequires is optional. Apply common sense.

[ N/A ] MUST: The spec file MUST handle locales properly. This is done by using
the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

[ N/A ] MUST: Every binary RPM package (or subpackage) which stores shared
library files (not just symlinks) in any of the dynamic linker's default paths,
must call ldconfig in %post and %postun. 

[ O K ] MUST: Packages must NOT bundle copies of system libraries.

[ N/A ] MUST: If the package is designed to be relocatable, the packager must
state this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker. 

[ O K ] MUST: A package must own all directories that it creates. If it does
not create a directory that it uses, then it should require a package which
does create that directory. 

[ O K ] MUST: A Fedora package must not list a file more than once in the spec
file's %files listings. (Notable exception: license texts in specific

[ O K ] MUST: Permissions on files must be set properly. Executables should be
set with executable permissions, for example. Every %files section must include
a %defattr(...) line. 

[ O K ] MUST: Each package must consistently use macros. 

[ O K ] MUST: The package must contain code, or permissible content. 

[ O K ] MUST: Large documentation files must go in a -doc subpackage. (The
definition of large is left up to the packager's best judgement, but is not
restricted to size. Large can refer to either size or quantity). 

[ O K ] MUST: If a package includes something as %doc, it must not affect the
runtime of the application. To summarize: If it is in %doc, the program must
run properly if it is not present. 

[ O K ] MUST: Header files must be in a -devel package. 

[ N/A ] MUST: Static libraries must be in a -static package. 

[ N/A ] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), then library files that end in .so (without suffix) must go in
a -devel package. 

[ O K ] MUST: In the vast majority of cases, devel packages must require the
base package using a fully versioned dependency: Requires: %{name} =

[ O K ] MUST: Packages must NOT contain any .la libtool archives, these must be
removed in the spec if they are built.

[ N/A ] MUST: Packages containing GUI applications must include a
%{name}.desktop file, and that file must be properly installed with
desktop-file-install in the %install section. If you feel that your packaged
GUI application does not need a .desktop file, you must put a comment in the
spec file with your explanation. 

[ N/A ] MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the filesystem or man package. If you
feel that you have a good reason to own a file or directory that another
package owns, then please present that at package review time. 
[ O K ] MUST: All filenames in rpm packages must be valid UTF-8
[ N/A ] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it. 
[ O K ] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[ O K ] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[ N/A ] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[ O K ] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[ N/A ] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[ N/A ] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[ N/A ] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.
Comment 4 Johnny Robeson 2013-06-22 04:22:33 EDT
any future on this, since php 5.5 is now stable on fedora 19?
Comment 5 Johnny Robeson 2013-06-22 04:23:06 EDT
err i meant updates :)
Comment 6 Shawn Iwinski 2013-06-30 12:36:11 EDT
Created attachment 767116 [details]

Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 -b 928196
Comment 7 Shawn Iwinski 2013-06-30 12:38:38 EDT
No blockers

===== APPROVED =====
Comment 8 Remi Collet 2013-06-30 12:47:30 EDT
Big thanks for the review

New Package SCM Request
Package Name: php-pecl-apcu
Short Description: APC User Cache
Owners: remi
Branches: f18 f19 f20
Comment 9 Remi Collet 2013-06-30 13:32:41 EDT
New Package SCM Request
Package Name: php-pecl-apcu
Short Description: APC User Cache
Owners: remi
Branches: f18 f19 el6
Comment 10 Gwyn Ciesla 2013-07-01 08:25:51 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2013-07-01 11:14:11 EDT
php-pecl-apcu-4.0.1-1.el6 has been submitted as an update for Fedora EPEL 6.
Comment 12 Fedora Update System 2013-07-01 11:14:22 EDT
php-pecl-apcu-4.0.1-1.fc19 has been submitted as an update for Fedora 19.
Comment 13 Fedora Update System 2013-07-01 11:14:32 EDT
php-pecl-apcu-4.0.1-1.fc18 has been submitted as an update for Fedora 18.
Comment 14 Fedora Update System 2013-07-01 16:57:39 EDT
php-pecl-apcu-4.0.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 15 Fedora Update System 2013-07-09 21:30:29 EDT
php-pecl-apcu-4.0.1-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 16 Fedora Update System 2013-07-09 21:34:07 EDT
php-pecl-apcu-4.0.1-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 17 Fedora Update System 2013-07-21 14:39:03 EDT
php-pecl-apcu-4.0.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.